> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders/logical-model/general-notes.md).

# General notes

&#x20;· All of the sections will be explained with details on the next “GET orders” and “POST orders” sections.

· Regardless of which marketplace/channel it comes from, the structure of an order is always the same.

· The Buyer can be an individual or a company.

· The Buyer and “Billing info” are not synonyms. Sometimes the billing data of the order matches the buyer data, sometimes it does not.

· The Billing information contains data for the billing process. Is not the buyer data.

· The Receiver and Buyer are not synonyms. Sometimes the receiver is the same customer that originated the order. Sometimes it does not.

· The Buyer address, Billing address and Receiver address are not synonyms. Sometimes they match and sometimes they do not.

· Please double check the "ShippingAmount" and "ShippingAmountNoDiscount" properties of the order’s "PaymentType" object. If ShippingAmount is zero, it does not matter what value the "Cost", "SellerCost" and "ReceiverCost" properties have on the "ShippingType" object.\
The “ShippingAmount” property in the “Payments” section means only the value that the buyer/receiver has paid for the shipping. Only the buyer. Not the seller. It is the same that the “ReceiverCost” property in the “ShippingType” object. On the same object, the “SellerCost” property shows the amount of the shipping that the seller should pay.\
When the "ShippingAmount" property is zero, then there is no shipping cost involved in the order. This could happen when the market absorbs the shipping costs, or the product listing has a "free shipping" offering.

· All the notes always relate to the information of each order and depends on each customer.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/orders/logical-model/general-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
